package es

import (
	"context"
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/log"
	"github.com/olivere/elastic/v7"
	_log "log"
	"os"
	"testing"
)

func init() {
	conf.Es = conf.EsConf{
		//ServerHost: "to-chengdu-office.168cad.top",
		//ServerPort: 50037,
		ServerHost: "192.168.1.124",
		ServerPort: 9200,
		Sniff:      true,
	}
}

func TestName(t *testing.T) {
	host := fmt.Sprintf("http://%s:%d", conf.Es.ServerHost, conf.Es.ServerPort)
	var err error
	errorLog := _log.New(os.Stdout, "APP", _log.LstdFlags)
	client, err := elastic.NewClient(elastic.SetSniff(conf.Es.Sniff), elastic.SetErrorLog(errorLog), elastic.SetURL(host))
	if err != nil {
		log.Error(err.Error())
	}
	info, code, err := client.Ping(host).Do(context.Background())
	if err != nil {
		panic(err)
	}
	log.Info(fmt.Sprintf("Elasticsearch connect %d", code))
	log.Info(fmt.Sprintf("Elasticsearch version %s", info.Version.Number))
}
