package catch

import (
	"fmt"
	"git.168cad.top/zhengqiuyun/rym-util/exception"
	"git.168cad.top/zhengqiuyun/rym-util/getWay"
	"git.168cad.top/zhengqiuyun/rym-util/log"
	"github.com/gin-gonic/gin"
	"runtime"
)

func ExceptionCatch(c *gin.Context) {
	err := recover() //获取异常
	if err != nil {
		switch err.(type) {
		case exception.DError:
			e := (err).(exception.DError)
			if c == nil {
				log.Error(fmt.Sprintf("%s-%s", e.Code, e.Err))
			} else {
				getWay.FailAndMsg(c, e.Code, e.Err)
			}
			break
		default:
			log.Error(err)
			var buf [1024]byte
			n := runtime.Stack(buf[:], true)
			fmt.Println(string(buf[:]), n)
			if c != nil {
				getWay.FailAndMsg(c, "SYSTEM.ERROR", "系统繁忙，请稍后重试")
			}
			break
		}
	}
}
